curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules/{sellerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelSpecificAttributeList": [
{
"attributeId": "OTTO_RETURN_WAREHOUSE_ID",
"displayName": "Return Warehouse Id",
"type": "text",
"level": "ORDER_ITEM",
"description": "Warehouse Id the return should be routed to",
"enumValues": [
{
"value": "<string>",
"display": "<string>",
"sort": 0
}
],
"attributeValueValidation": "/^[0-9]{1,10}$/",
"isMultipleAllowed": false,
"required": false,
"recommended": false
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules/{sellerId}"
payload = { "channelSpecificAttributeList": [
{
"attributeId": "OTTO_RETURN_WAREHOUSE_ID",
"displayName": "Return Warehouse Id",
"type": "text",
"level": "ORDER_ITEM",
"description": "Warehouse Id the return should be routed to",
"enumValues": [
{
"value": "<string>",
"display": "<string>",
"sort": 0
}
],
"attributeValueValidation": "/^[0-9]{1,10}$/",
"isMultipleAllowed": False,
"required": False,
"recommended": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channelSpecificAttributeList: [
{
attributeId: 'OTTO_RETURN_WAREHOUSE_ID',
displayName: 'Return Warehouse Id',
type: 'text',
level: 'ORDER_ITEM',
description: 'Warehouse Id the return should be routed to',
enumValues: [{value: '<string>', display: '<string>', sort: 0}],
attributeValueValidation: '/^[0-9]{1,10}$/',
isMultipleAllowed: false,
required: false,
recommended: false
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules/{sellerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Seller Shipping Rules
Set seller specific channel shipping attributes (channelSpecificAttributeList, max. 8 entries) for a
Seller connected to this channel.
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Path Parameters
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
Body
Seller specific shipping attributes for the connected channel.
Seller specific shipping attributes for a channel, set by that channel.
8Show child attributes
Show child attributes
Response
Seller Shipping Rules Created
Was this page helpful?